Bug 11345 - self registration captcha
Summary: self registration captcha
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_16_candidate
Depends on:
Blocks:
 
Reported: 2013-12-05 19:58 UTC by Nicole C. Engard
Modified: 2016-01-19 04:37 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug - 11345 - Self registration captcha (1.43 KB, patch)
2015-01-13 23:31 UTC, Justin Vos
Details | Diff | Splinter Review
Bug - 11345 - Self registration captcha (1.61 KB, patch)
2015-01-14 12:47 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug - 11345 - Self registration captcha (1.67 KB, patch)
2015-01-15 06:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-12-05 19:58:02 UTC
The verification code at the bottom of the self-registration screen must be typed in caps. Just a line added to the instructions with this stipulation would be helpful, since most captchas are not case sensitive.
Comment 1 Justin Vos 2015-01-13 23:15:47 UTC
I have started working on this bug.
Comment 2 Justin Vos 2015-01-13 23:31:19 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-01-14 12:47:44 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-01-14 14:22:40 UTC
Justin,
Do you agree if I add your surname to the patch author?
Comment 5 Katrin Fischer 2015-01-15 06:17:01 UTC
Created attachment 35282 [details] [review]
[PASSED QA] Bug - 11345 - Self registration captcha

Test Plan
 - Open the opac site
 - Navigate to the self registration page (Home -> Register here)
 - Notice that there is no note stating that the verification box is case-sensitive
 - Apply patch
 - Refresh page
 - Notice that there is now an extra note stating that the verification box is case-sensitive.

Followed test plan. Hint displays as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2015-01-15 06:18:51 UTC
Thx for the patch, but a special thanks for fixing "git-bz attach -e" to work with a commit message including non-ascii characters!
Comment 7 Tomás Cohen Arazi 2015-01-21 14:20:41 UTC
Patch pushed to master.

Thanks Justin!
Comment 8 Chris Cormack 2015-02-02 08:53:57 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 9 Mason James 2015-02-26 02:47:09 UTC
(In reply to Chris Cormack from comment #8)
> Pushed to 3.18.x will be in 3.18.4

possible selection for 3.16.9
Comment 10 Mason James 2015-02-26 02:47:09 UTC
(In reply to Chris Cormack from comment #8)
> Pushed to 3.18.x will be in 3.18.4

possible selection for 3.16.9